Check DNS propagation for your domains

Verify if DNS changes for one or more of your domains have propagated globally. This is useful after making DNS setting adjustments, such as re-pointing your domain to a new server or configuring email services.

Domain Services DNS

Context

Used in the dashboard

/cdn /domains/bulk-redirects /domains/[id]

Headers

Accept Example
Content-Type Example

Body

required
application/json
domains array required · Example: ["example.com","example.com"]

Responses

200
data object required
data.results array<object> required · Example: [{"success":true,"domain":"example.com","propagated":false,"allPropagated":false,"resol...
data.results[].actualNameservers array<string> required · Example: ["example.com","example.com"]
data.results[].allPropagated boolean required · Example: false
data.results[].checkSource string · enum required · Example: recursive_resolver
recursive_resolver
registry_delegation
data.results[].checks object required
data.results[].checks.recursiveResolver object required
data.results[].checks.recursiveResolver.actualNameservers array<string> required · Example: ["example.com","example.com"]
data.results[].checks.registryDelegation object required
data.results[].checks.registryDelegation.actualNameservers array<string> · Example: ["example.com","example.com"]
data.results[].checks.registryDelegation.attempts array<object> required · Example: [{"hostname":"example.com","ip":"192.0.0.1","error":"dns_response_error_rcode_3"},{"hos...
data.results[].checks.registryDelegation.attempts[].error string · Example: dns_response_error_rcode_3

HTTP status title (e.g. 'Bad Request').

data.results[].checks.registryDelegation.attempts[].hostname string required · Example: example.com
data.results[].checks.registryDelegation.attempts[].ip string required · Example: 192.0.0.1
data.results[].checks.registryDelegation.error string · Example: delegation_lookup_failed

HTTP status title (e.g. 'Bad Request').

data.results[].checks.registryDelegation.success boolean required · Example: false

True for successful responses.

data.results[].checks.registryDelegation.tld string · enum required · Example: com
com
de
dk
es
eu
fi
fr
no
nu
se
data.results[].checks.registryDelegation.usedServer object
data.results[].checks.registryDelegation.usedServer.hostname string required · Example: example.com
data.results[].checks.registryDelegation.usedServer.ip string required · Example: 192.0.0.1
data.results[].domain string required · Example: example.com
data.results[].matchingNameservers array<object> required · Example: []
data.results[].message string required · Example: DNS has not propagated yet

Human-readable message.

data.results[].propagated boolean required · Example: false
data.results[].propagationStatus string required · Example: not_propagated
data.results[].providedNameservers array<object> required · Example: []
data.results[].resolves boolean required · Example: false
data.results[].success boolean required · Example: true

True for successful responses.

data.results[].timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

504
code string required · Example: TIMEOUT

Machine-readable error code.

error string required · Example: Gateway Timeout

HTTP status title (e.g. 'Bad Request').

message string required · Example: Request timeout

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/dns-propagation
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/dns-propagation" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domains": [
      "example.com",
      "example.com"
    ]
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "results": [
      {
        "success": true,
        "domain": "example.com",
        "propagated": false,
        "allPropagated": false,
        "resolves": false,
        "actualNameservers": [],
        "providedNameservers": [],
        "matchingNameservers": [],
        "propagationStatus": "not_propagated",
        "checkSource": "recursive_resolver",
        "checks": {
          "registryDelegation": {
            "success": false,
            "tld": "com",
            "error": "delegation_lookup_failed",
            "attempts": [
              {
                "hostname": "example.com",
                "ip": "192.0.0.1",
                "error": "dns_response_error_rcode_3"
              },
              {
                "hostname": "example.com",
                "ip": "192.0.0.1",
                "error": "dns_response_error_rcode_3"
              },
              {
                "_truncated": "... and 1 more items"
              }
            ]
          },
          "recursiveResolver": {
            "actualNameservers": []
          }
        },
        "message": "DNS has not propagated yet",
        "timestamp": "2026-02-10T00:00:00.000Z"
      },
      {
        "success": true,
        "domain": "example.com",
        "propagated": false,
        "allPropagated": false,
        "resolves": false,
        "actualNameservers": [],
        "providedNameservers": [],
        "matchingNameservers": [],
        "propagationStatus": "not_propagated",
        "checkSource": "recursive_resolver",
        "checks": {
          "registryDelegation": {
            "success": false,
            "tld": "se",
            "error": "delegation_lookup_failed",
            "attempts": [
              {
                "hostname": "example.com",
                "ip": "192.0.0.1",
                "error": "dns_response_error_rcode_3"
              },
              {
                "hostname": "example.com",
                "ip": "192.0.0.1",
                "error": "dns_response_error_rcode_3"
              },
              {
                "_truncated": "... and 1 more items"
              }
            ]
          },
          "recursiveResolver": {
            "actualNameservers": []
          }
        },
        "message": "DNS has not propagated yet",
        "timestamp": "2026-02-10T00:00:00.000Z"
      }
    ]
  }
}
Request Body Example 1
{
  "domains": [
    "example.com",
    "example.com"
  ]
}